<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useUIStore } from '~~/store/UI'
const ui = useUIStore()
const { isMobile } = storeToRefs(ui)
</script>

<template>
  <div :class="isMobile ? 'max-h-[20vh] overflow-auto' : ''" class="bg-neutral-900 text-white scroll">
    <div class="flex flex-col text-left px-4 py-2 text-base font-bold bg-cyan-900 mx-5 my-2 rounded-2xl">
      <div class="flex items-center gap-2">
        <div class="bg-cyan-400 rounded-full inline-block w-8 h-8">
          <div
            class="i-emojione-monotone:closed-book text-center w-full top-1/2 translate-y-[-50%] scale-x-[-1] relative"
          />
        </div>
        この企業とマッチングした科目
      </div>
      <p>
        <span class="text-[#FF79AD]">履修科目：</span>
        旋盏、機械工学、技術者論理、材料力学、製造力学、制御工学、熱工学、伝热工学
      </p>
      <p>
        <span class="text-[#BDA60B]">実験実習：</span>
        AutoCAD、２DーCAD、ノギス、マイクロメータ、CATIAVSフライス盤、ボール盤ほか
      </p>
    </div>
  </div>
</template>

<style scoped>
.scroll::-webkit-scrollbar {
background: rgb(182, 178, 178);
}
</style>
